/*-----------------------------------*\
  @TOOLS #FUNCTIONS
\*-----------------------------------*/

/**
 * Correct the 'flex-justify' properties based on the user selection.
 * @param  {string} Possible values are: 'start', 'end', 'between', 'around', custom
 * @return {string}
 */
@function sanitize-flex-justify($string) {
  $sanitized: '';
  
  @if str-index($string, 'start') == 1 {
    $sanitized: str-insert($string, 'flex-', 1)
  } @else if str-index($string, 'end') == 1 {
    $sanitized: str-insert($string, 'flex-', 1)
  } @else if str-index($string, 'between') == 1 {
    $sanitized: str-insert($string, 'space-', 1)
  } @else if str-index($string, 'around') == 1 {
    $sanitized: str-insert($string, 'space-', 1)
  } @else {
    $sanitized: $string;
  }
  
  @return $sanitized;
}

/**
 * Correct the 'align-items' properties based on the user selection.
 * @param  {string}  Possible values are: 'top','middle', 'bottom', custom
 * @return {string}
 */
@function sanitize-flex-align($string) {
  $sanitized: '';
  
  @if str-index($string, 'top') == 1 {
    $sanitized: flex-start
  } @else if str-index($string, 'bottom') == 1 {
    $sanitized: flex-end
  } @else if str-index($string, 'middle') == 1 {
    $sanitized: center
  } @else {
    $sanitized: $string;
  }
  
  @return $sanitized;
}

/**
 * Convert numeric value into rems
 * @param  {number} Pixel value (no-units) to be converted into "rem"
 * @param  {number} Value of "rem" - defaults to 16
 * @return {rem}    Coverted value into "rem"
 */
@function rem-calc($pixels, $base: $root) {
  @if $base == null {
    $base: 16;  
  }
  
  @return #{$pixels/$base}rem;
}